This is zchaff2SocialGolfer

<?php
    $dimacs = $argv[1];
	if ($dimacs == "") {
		echo("c Syntax: php ".$argv[0]." <dimacs instance>\nzChaff output read from stdin");
		exit;
	};

	$file = fopen($dimacs, "r") or die("Unable to open dimacs file");
	
	$dictionary = NULL; // will be an array: dimacsVar --> j,m,t (start(j,m)==t)
	
	while(!feof($file)) {
		  $line =  trim(fgets($file));
		  //echo("checking line $line\n");
		  if ($line === "c START DICTIONARY") break;
	}
	if (feof($file)) die("Could not find dictionary\n");
	
	// found START DICTIONARY LINE
	while(!feof($file)) {
		  $line =  trim(fgets($file));
		  if ($line == "c END DICTIONARY") break;
		  // line of the form: "c start(j,m,t) = dimacsVar"
		  list($left, $right) = split("=", $line);
		  $left = trim($left);
		  $right = trim($right);
		  $matches = NULL;
		  preg_match("/c ([^(]*)\(([^(]*)\)/", $left, $matches);
		  $name = $matches[1];
		  $varList = $matches[2];
		  //echo("LEFT: $left -- name: $name -- params: $varList\n");		  
		  $dictionary[$right] = array($name, explode(",",$varList));
	}
	//print_r($dictionary);
	fclose($file);
	
	$file = fopen("php://stdin", "r");	
	
	
	$ASSIGNMENT == NULL; // 2D-matrix:  ASSIGNMENT[player,week] = group
	
	while(!feof($file)) {
		  $line =  trim(fgets($file));
		  if ($line === "Instance Satisfiable") break;
	}
	if (feof($file)) die("Could not find model\n");
		

	// next line is the model found
	$line = trim(fgets($file));
	$model = split(" ", $line);
	
	foreach($model as $l) {
		if (!is_numeric($l)) continue;	
		if ($l < 0) continue;

		$var = $dictionary[$l]; // it is an array [ varName, array(params) ]
		if ($var === NULL) echo("ERROR: could not find dictionary item for dimacs variable $l\n");

		$name = $var[0];
		$params = $var[1];

		echo("model says $name(".join(",",$params).") = true");

		if ($name == "plays") {   // $params = [player, group, week]
			if (isset($ASSIGNMENT[$params[0]][$params[2]])) {
				die("Error: ASSIGNMENT[".$params[0]."][".$params[2]."] has already been set!");
			}
			$ASSIGNMENT[$params[0]][$params[2]] = $params[1];
			echo(" --> setting ASSIGNMENT[".$params[0]."][".$params[2]."] = ".$params[1]);
		}
		echo("\n");
	}
	

	//print_r($ASSIGNMENT);

	echo("\n\n\n players/weeks\n");
	$P = 0;
	$W = 0;
	$G = 0;
	foreach($ASSIGNMENT as $p=>$entryP) {
		echo("P$p: ");
		if ($p > $P) $P = $p;
		foreach($entryP as $w => $g) {
			if ($w > $W) $W = $w;
			if ($g > $G) $G = $g;
			echo($g . " ");
		}
		echo("\n");
	}
	$S = $P/$G;
	echo("Number of players: $P\n");
	echo("Number of groups: $G\n");
	echo("Number of weeks: $W\n");	
	echo("Group size: $S\n");		
	
	// Validation
	echo("\n\nValidating solution...\n");
	
	// Check whether all groups are of the same size:
	for ($w = 1; $w<=$W; $w++) {
		for($g=1; $g<=$G; $g++) {
			// count occurrences of $g in $w-th column
			$count = 0;			
			for($p=1; $p<=$P; $p++) {
				if ($ASSIGNMENT[$p][$w] == $g) $count++;
			}
			if ($count != $S) die("Error: size of group $g on week $p is wrong\n");
		}
	}
	echo("SUCCESS: All groups are of the same size\n");
	
	// Check whether it is true that two players meet at most once
	for($p1=1; $p1<=$P; $p1++) {
		for($p2=$p1+1; $p2<=$P; $p2++) {
			for($w1=1; $w1<=$W; $w1++) {
				for($w2=$w1+1; $w2<=$W; $w2++) {
					if ($ASSIGNMENT[$p1][$w1] == $ASSIGNMENT[$p2][$w1]  &&
						$ASSIGNMENT[$p1][$w2] == $ASSIGNMENT[$p2][$w2] ) {
						    die("Error: Players $p1 and $p2 meet on both weeks $w1 and $w2\n");
					}
				}
			}
		}
	}
	echo("SUCCESS: No two players meet more than once\n");
	
	?>
	
	
	
	